TCacheFileStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TCacheFileStat

- java.lang.Object
- - com.sleepycat.thrift.TCacheFileStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCacheFileStat>, org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TCacheFileStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCacheFileStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TCacheFileStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `backupSpins`
    `long` | `cacheHit`
    `long` | `cacheMiss`
    `java.lang.String` | `fileName`
    `static java.util.Map<TCacheFileStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `long` | `pageCreate`
    `long` | `pageIn`
    `int` | `pageMapped`
    `long` | `pageOut`
    `int` | `pageSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCacheFileStat()`
    `TCacheFileStat(long backupSpins, long cacheHit, long cacheMiss, java.lang.String fileName, int pageSize, long pageCreate, int pageMapped, long pageIn, long pageOut)`
    `TCacheFileStat(TCacheFileStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TCacheFileStat other)`
    `TCacheFileStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TCacheFileStat that)`
    `TCacheFileStat._Fields` | `fieldForId(int fieldId)`
    `long` | `getBackupSpins()`
    `long` | `getCacheHit()`
    `long` | `getCacheMiss()`
    `java.lang.Object` | `getFieldValue(TCacheFileStat._Fields field)`
    `java.lang.String` | `getFileName()`
    `long` | `getPageCreate()`
    `long` | `getPageIn()`
    `int` | `getPageMapped()`
    `long` | `getPageOut()`
    `int` | `getPageSize()`
    `int` | `hashCode()`
    `boolean` | `isSet(TCacheFileStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBackupSpins()` Returns true if field backupSpins is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCacheHit()` Returns true if field cacheHit is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCacheMiss()` Returns true if field cacheMiss is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFileName()` Returns true if field fileName is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageCreate()` Returns true if field pageCreate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageIn()` Returns true if field pageIn is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageMapped()` Returns true if field pageMapped is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageOut()` Returns true if field pageOut is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageSize()` Returns true if field pageSize is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TCacheFileStat` | `setBackupSpins(long backupSpins)`
    `void` | `setBackupSpinsIsSet(boolean value)`
    `TCacheFileStat` | `setCacheHit(long cacheHit)`
    `void` | `setCacheHitIsSet(boolean value)`
    `TCacheFileStat` | `setCacheMiss(long cacheMiss)`
    `void` | `setCacheMissIsSet(boolean value)`
    `void` | `setFieldValue(TCacheFileStat._Fields field, java.lang.Object value)`
    `TCacheFileStat` | `setFileName(java.lang.String fileName)`
    `void` | `setFileNameIsSet(boolean value)`
    `TCacheFileStat` | `setPageCreate(long pageCreate)`
    `void` | `setPageCreateIsSet(boolean value)`
    `TCacheFileStat` | `setPageIn(long pageIn)`
    `void` | `setPageInIsSet(boolean value)`
    `TCacheFileStat` | `setPageMapped(int pageMapped)`
    `void` | `setPageMappedIsSet(boolean value)`
    `TCacheFileStat` | `setPageOut(long pageOut)`
    `void` | `setPageOutIsSet(boolean value)`
    `TCacheFileStat` | `setPageSize(int pageSize)`
    `void` | `setPageSizeIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBackupSpins()`
    `void` | `unsetCacheHit()`
    `void` | `unsetCacheMiss()`
    `void` | `unsetFileName()`
    `void` | `unsetPageCreate()`
    `void` | `unsetPageIn()`
    `void` | `unsetPageMapped()`
    `void` | `unsetPageOut()`
    `void` | `unsetPageSize()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### backupSpins

          public long backupSpins

    - #### cacheHit

          public long cacheHit

    - #### cacheMiss

          public long cacheMiss

    - #### fileName

          public java.lang.String fileName

    - #### pageSize

          public int pageSize

    - #### pageCreate

          public long pageCreate

    - #### pageMapped

          public int pageMapped

    - #### pageIn

          public long pageIn

    - #### pageOut

          public long pageOut

    - #### metaDataMap

          public static final java.util.Map<TCacheFileStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TCacheFileStat

          public TCacheFileStat()

    - #### TCacheFileStat

          public TCacheFileStat(long backupSpins,
                                long cacheHit,
                                long cacheMiss,
                                java.lang.String fileName,
                                int pageSize,
                                long pageCreate,
                                int pageMapped,
                                long pageIn,
                                long pageOut)

    - #### TCacheFileStat

          public TCacheFileStat(TCacheFileStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TCacheFileStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>`

    - #### getBackupSpins

          public long getBackupSpins()

    - #### setBackupSpins

          public TCacheFileStat setBackupSpins(long backupSpins)

    - #### unsetBackupSpins

          public void unsetBackupSpins()

    - #### isSetBackupSpins

          public boolean isSetBackupSpins()

      Returns true if field backupSpins is set (has been assigned a value) and false otherwise

    - #### setBackupSpinsIsSet

          public void setBackupSpinsIsSet(boolean value)

    - #### getCacheHit

          public long getCacheHit()

    - #### setCacheHit

          public TCacheFileStat setCacheHit(long cacheHit)

    - #### unsetCacheHit

          public void unsetCacheHit()

    - #### isSetCacheHit

          public boolean isSetCacheHit()

      Returns true if field cacheHit is set (has been assigned a value) and false otherwise

    - #### setCacheHitIsSet

          public void setCacheHitIsSet(boolean value)

    - #### getCacheMiss

          public long getCacheMiss()

    - #### setCacheMiss

          public TCacheFileStat setCacheMiss(long cacheMiss)

    - #### unsetCacheMiss

          public void unsetCacheMiss()

    - #### isSetCacheMiss

          public boolean isSetCacheMiss()

      Returns true if field cacheMiss is set (has been assigned a value) and false otherwise

    - #### setCacheMissIsSet

          public void setCacheMissIsSet(boolean value)

    - #### getFileName

          public java.lang.String getFileName()

    - #### setFileName

          public TCacheFileStat setFileName(java.lang.String fileName)

    - #### unsetFileName

          public void unsetFileName()

    - #### isSetFileName

          public boolean isSetFileName()

      Returns true if field fileName is set (has been assigned a value) and false otherwise

    - #### setFileNameIsSet

          public void setFileNameIsSet(boolean value)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public TCacheFileStat setPageSize(int pageSize)

    - #### unsetPageSize

          public void unsetPageSize()

    - #### isSetPageSize

          public boolean isSetPageSize()

      Returns true if field pageSize is set (has been assigned a value) and false otherwise

    - #### setPageSizeIsSet

          public void setPageSizeIsSet(boolean value)

    - #### getPageCreate

          public long getPageCreate()

    - #### setPageCreate

          public TCacheFileStat setPageCreate(long pageCreate)

    - #### unsetPageCreate

          public void unsetPageCreate()

    - #### isSetPageCreate

          public boolean isSetPageCreate()

      Returns true if field pageCreate is set (has been assigned a value) and false otherwise

    - #### setPageCreateIsSet

          public void setPageCreateIsSet(boolean value)

    - #### getPageMapped

          public int getPageMapped()

    - #### setPageMapped

          public TCacheFileStat setPageMapped(int pageMapped)

    - #### unsetPageMapped

          public void unsetPageMapped()

    - #### isSetPageMapped

          public boolean isSetPageMapped()

      Returns true if field pageMapped is set (has been assigned a value) and false otherwise

    - #### setPageMappedIsSet

          public void setPageMappedIsSet(boolean value)

    - #### getPageIn

          public long getPageIn()

    - #### setPageIn

          public TCacheFileStat setPageIn(long pageIn)

    - #### unsetPageIn

          public void unsetPageIn()

    - #### isSetPageIn

          public boolean isSetPageIn()

      Returns true if field pageIn is set (has been assigned a value) and false otherwise

    - #### setPageInIsSet

          public void setPageInIsSet(boolean value)

    - #### getPageOut

          public long getPageOut()

    - #### setPageOut

          public TCacheFileStat setPageOut(long pageOut)

    - #### unsetPageOut

          public void unsetPageOut()

    - #### isSetPageOut

          public boolean isSetPageOut()

      Returns true if field pageOut is set (has been assigned a value) and false otherwise

    - #### setPageOutIsSet

          public void setPageOutIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TCacheFileStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TCacheFileStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>`

    - #### isSet

          public boolean isSet(TCacheFileStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TCacheFileStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TCacheFileStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TCacheFileStat>`

    - #### fieldForId

          public TCacheFileStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TCacheFileStat,TCacheFileStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.